<form #FormAddFunction="ngForm" name="FormAddFunction" >    
        <div class="modal-header">          
        </div>
        <app-alert [scope]="AlertScope.MODAL"></app-alert>
        <div class="modal-body">
          
                <div class="form-group">
    
               <!-- <label for="album">Selezionare stati di contezioso</label>-->
                <ng-select [items]="functionList" name="selectedFunction"
                           [(ngModel)]="selectedFunction"
                           bindLabel="description"
                           placeholder="Selezionare una Funzione"                           
                           (keyup.esc)="$event.preventDefault()" required #SelectedFunctionRef="ngModel">
                </ng-select>
              <!--  <div *ngIf="(SelectedFunctionRef.errors && (SelectedFunctionRef.dirty || SelectedFunctionRef.touched))" class="validation-messagesSelect">
                     <div>Campo obbligatorio</div>
                </div>-->
                </div>        
        </div>
        <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-success size" [disabled]="!FormAddFunction.valid" (click)="addFunction()"
                style="float: right;">Conferma</button>
            <button (click)="close()" type="button" class="btn btn-sm btn-danger size"
                style="float: right; margin-left: 20px;">Annulla</button>       
        </div>
    </form>